QueryCommand.Builder (Solr 3.6.2 API)
Keywords: org.apache.solr.search.grouping.distributed.command.QueryCommand.Builder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.grouping.distributed.command
Class QueryCommand.Builder

    java.lang.Object
      org.apache.solr.search.grouping.distributed.command.QueryCommand.Builder

Enclosing class:
  QueryCommand

    public static class QueryCommand.Builder

extends Object

Constructor Summary
`QueryCommand.Builder()`

Method Summary
`QueryCommand` | `build()`
`QueryCommand.Builder` | `setDocSet(DocSet docSet)`
`QueryCommand.Builder` | `setDocSet(SolrIndexSearcher searcher)` Sets the docSet based on the created `DocSet`
`QueryCommand.Builder` | `setDocsToCollect(int docsToCollect)`
`QueryCommand.Builder` | `setNeedScores(boolean needScores)`
`QueryCommand.Builder` | `setQuery(Query query)`
`QueryCommand.Builder` | `setQuery(String groupQueryString, SolrQueryRequest request)` Sets the group query from the specified groupQueryString.
`QueryCommand.Builder` | `setSort(Sort sort)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryCommand.Builder

    public QueryCommand.Builder()

Method Detail

### setSort

    public QueryCommand.Builder setSort(Sort sort)

### setQuery

    public QueryCommand.Builder setQuery(Query query)

### setQuery

    public QueryCommand.Builder setQuery(String groupQueryString,
                                         SolrQueryRequest request)
                                  throws ParseException

  Sets the group query from the specified groupQueryString. The groupQueryString is parsed into a query.

  Parameters:
    `groupQueryString` - The group query string to parse
    `request` - The current request
  Returns:
    this
  Throws:
    `ParseException` - If parsing the groupQueryString failed

### setDocSet

    public QueryCommand.Builder setDocSet(DocSet docSet)

### setDocSet

    public QueryCommand.Builder setDocSet(SolrIndexSearcher searcher)
                                   throws IOException

  Sets the docSet based on the created `DocSet`

  Parameters:
    `searcher` - The searcher executing the
  Returns:
    this
  Throws:
    `IOException` - If I/O related errors occur.

### setDocsToCollect

    public QueryCommand.Builder setDocsToCollect(int docsToCollect)

### setNeedScores

    public QueryCommand.Builder setNeedScores(boolean needScores)

### build

    public QueryCommand build()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD